Package org.eclipse.cdt.core.settings.model.util

## Class EntryStore

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.EntryStore

    public class EntryStore
    extends Object

### Constructor Summary

Constructors
`EntryStore()`
`EntryStore​(boolean preserveReadOnly)`
`EntryStore​(EntryStore base, boolean preserveReadOnly)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntries​(ICLanguageSettingEntry[] entries)`
`void` `addEntry​(int pos, ICLanguageSettingEntry entry)`
`void` `addEntry​(ICLanguageSettingEntry entry)`
`boolean` `containsEntriesList​(int kind)`
`ICLanguageSettingEntry[]` `getEntries()`
`ICLanguageSettingEntry[]` `getEntries​(int kind)`
`List<ICLanguageSettingEntry>` `getEntriesList​(int kind)`
`void` `storeEntries​(int kind, List<ICLanguageSettingEntry> list)`
`void` `storeEntries​(int kind, ICLanguageSettingEntry[] entries)`
`void` `trimToSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntryStore

    public EntryStore()

#### EntryStore

    public EntryStore​(boolean preserveReadOnly)

#### EntryStore

    public EntryStore​(EntryStore base,
                      boolean preserveReadOnly)

### Method Detail

#### getEntries

    public ICLanguageSettingEntry[] getEntries()

#### containsEntriesList

    public boolean containsEntriesList​(int kind)

#### getEntries

    public ICLanguageSettingEntry[] getEntries​(int kind)

#### getEntriesList

    public List<ICLanguageSettingEntry> getEntriesList​(int kind)

#### addEntry

    public void addEntry​(int pos,
                         ICLanguageSettingEntry entry)

#### addEntries

    public void addEntries​(ICLanguageSettingEntry[] entries)

#### storeEntries

    public void storeEntries​(int kind,
                             ICLanguageSettingEntry[] entries)

#### storeEntries

    public void storeEntries​(int kind,
                             List<ICLanguageSettingEntry> list)

#### addEntry

    public void addEntry​(ICLanguageSettingEntry entry)

#### trimToSize

    public void trimToSize()